package org.openqa;
import com.thoughtworks.selenium.DefaultSelenium;
import com.thoughtworks.selenium.SeleneseTestCase;
import com.thoughtworks.selenium.Selenium;

public class LoginTest extends SeleneseTestCase {
    public void setUp() throws Exception {
        selenium = new DefaultSelenium("localhost", 4444, "*firefox /usr/lib/firefox/firefox-bin", "http://localhost:3000");
        selenium.start();
        selenium.setSpeed("1000");
    }
    
    public void testLoginSuccess() {
        selenium.open("/login");
        selenium.type("username", "stamat1");
        selenium.type("password", "tkzs");
        selenium.click("login");
        selenium.waitForPageToLoad("10000");
        verifyTrue(selenium.getBodyText().contains("Календар"));
    }
}
